summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Spencer2010-07-03 13:16:26 +0200
committer Erik Hanson2010-07-03 13:16:26 +0200
commit40fde19eef473f68b875d4b591a297844f446c91 (patch)
treee49c14883c1d7f3c6462c64eeb322156bfff3be3
parentc099ac6477677777c864b7138a5bd37550b4d4c2 (diff)
downloadslackbuilds-40fde19eef473f68b875d4b591a297844f446c91.tar.gz
graphics/jhead: Added (JPEG Exif header manipulation tool)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--graphics/jhead/README13
-rw-r--r--graphics/jhead/jhead.SlackBuild75
-rw-r--r--graphics/jhead/jhead.info10
-rw-r--r--graphics/jhead/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/graphics/jhead/README b/graphics/jhead/README
new file mode 100644
index 0000000000..f66ddff784
--- /dev/null
+++ b/graphics/jhead/README
@@ -0,0 +1,13 @@
+Jhead is a command line program for manipulating the non-image
+parts of Exif JPEG files that most digital cameras produce.
+
+By default, jhead displays the more useful camera settings from the
+file, but it can also be used to perform operations such as changing
+timestamps or removing a thumbnail.
+
+Though there are many programs out there now that can manipulate
+Exif headers today, for many tasks, jhead remains the simplest and
+most effective tool for the job, especially if used for automated
+or scripted tasks.
+
+Homepage: http://www.sentex.net/~mwandel/jhead/
diff --git a/graphics/jhead/jhead.SlackBuild b/graphics/jhead/jhead.SlackBuild
new file mode 100644
index 0000000000..d2460d1d29
--- /dev/null
+++ b/graphics/jhead/jhead.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for jhead
+# Written by David Spencer <baildon.research@googlemail.com>
+# This script is dedicated to the public domain
+
+PRGNAM=jhead
+VERSION=${VERSION:-2.90}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS"
+
+strip --strip-unneeded jhead 2>/dev/null
+
+mkdir -p $PKG/usr/bin
+cp -a jhead $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+cp -a jhead.1 $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man1/jhead.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ changes.txt readme.txt usage.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/jhead/jhead.info b/graphics/jhead/jhead.info
new file mode 100644
index 0000000000..fe007d9449
--- /dev/null
+++ b/graphics/jhead/jhead.info
@@ -0,0 +1,10 @@
+PRGNAM="jhead"
+VERSION="2.90"
+HOMEPAGE="http://www.sentex.net/~mwandel/jhead/"
+DOWNLOAD="http://www.sentex.net/~mwandel/jhead/jhead-2.90.tar.gz"
+MD5SUM="661effa9420bb92cb99ced697c5a177f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
+APPROVED="Erik Hanson"
diff --git a/graphics/jhead/slack-desc b/graphics/jhead/slack-desc
new file mode 100644
index 0000000000..0a5e63fb2c
--- /dev/null
+++ b/graphics/jhead/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jhead: jhead (JPEG Exif header manipulation tool)
+jhead:
+jhead: jhead displays and manipulates data contained in the Exif header of
+jhead: JPEG images from digital cameras.
+jhead:
+jhead: For many tasks, jhead remains the simplest and most effective tool
+jhead: for the job, especially if used for automated or scripted tasks.
+jhead:
+jhead: Homepage: http://www.sentex.net/~mwandel/jhead/
+jhead:
+jhead: